## gate.util
Class Strings

    java.lang.Object
      |
      +--gate.util.Strings

public class Strings
extends Object

Some utilities for use with Strings.

Constructor Summary
`Strings()`

Method Summary
`static String` `addLineNumbers(String text)` Helper method to add line numbers to a string
`static String` `addPadding(String pad, int n)` Add n pad characters to pad.
`static String` `getFileSep()` Get local fashion for file separators (e.g.
`static String` `getNl()` Get local fashion for newlines.
`static String` `getPathSep()` Get local fashion for path separators (e.g.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Strings

    public Strings()

Method Detail

### getNl

    public static String getNl()

  Get local fashion for newlines.

### getPathSep

    public static String getPathSep()

  Get local fashion for path separators (e.g. ":").

### getFileSep

    public static String getFileSep()

  Get local fashion for file separators (e.g. "/").

### addPadding

    public static String addPadding(String pad,
                                    int n)

  Add n pad characters to pad.

### addLineNumbers

    public static String addLineNumbers(String text)

  Helper method to add line numbers to a string